# List all Verification Requests

## List verification requests

<mark style="color:green;">`GET`</mark> <https://api.numaly.com/v1/requests>

#### Query Parameters

| Name | Type   | Required | Description                                                                                   |
| ---- | ------ | -------- | --------------------------------------------------------------------------------------------- |
| ids  | String | false    | Either an id or your request id. To pass multiple values send it as a comma separated string. |

**Response**

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json">
{
    "links": {
        "next": null,
        "previous": null
    },
    "page_size": 10,
    "count": 3,
    "ts": 1735894196.943309,
    "results": [
        {
            "id": "7bb5a672-acf1-4186-9167-e0085b38e268",
            "send_to_applicant": true,
            "report_url": "https://www.numaly.com/request/...",
            "identity_report_url": "https://www.numaly.com/request/...",
            "paystub_url": "https://www.numaly.com/request/...",
            "request_id": null,
            "request_date": "2022-01-20",
            "response_date": "2022-01-20",
            "from_date": "2021-01-20",
            "to_date": "2022-01-20",
            "days_retrieved": 365,
            "months_retrieved": 12,
            "requester_name": "ABC Realtor",
            "first_name": "Sarah",
            "last_name": "Sample",
            "currency": "USD",
            "status": "awaiting screening",
            "reference": "10 Sample Rd",
            "property_rent": null,
            "email": "sarahsample@numaly.com",
            "phone_number": null,
            "identity_accept_tos_status": true
            "identity_verify_sms_status": true
            "identity_kyc_check_status": true
            "identity_document_verification_status": true
<strong>            "identity_selfie_check_status": true
</strong>            "identity_watchlist_screening_status": true
            "identity_risk_status": true
            "permitted_verification_method": ['all']
            "allow_paystub_upload": true
            "verify_identity": true
            "employer": "ABC Hospital",
            "total_income": "99538.80",
            "income_projection_12_months": null,
            "average_monthly_income": "8294.88",
            "average_monthly_income_last_3": "7900.47",
            "total_recurring_income": "97968.00",
            "average_monthly_income_recurring": "8123.60",
            "total_non_recurring_income": "1570.80",
            "average_monthly_income_non_recurring": "171.27",
            "total_deposits": 108,
            "total_recurring_deposits": 104,
            "total_non_recurring_deposits": 4,
            "income_rent_multiple": 15.0,
            "expense_income_ratio": 0.22,
            "average_monthly_expenses": "1857.54",
            "average_days_between_rent_payments": null,
            "applicant_note": "",
            "account_names": "Sarah Samples",
            "sources": [
                {
                    "name": "Abc Hospital",
                    "amount": 71684.86,
                    "recurring": 71684.86,
                    "non_recurring": 0,
                    "total_deposits": 98,
                    "last_10_deposits": [
                        {
                            "date": "2021-03-16",
                            "amount": 530.93,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-16",
                            "amount": 530.93,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-12",
                            "amount": 1240.93,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-12",
                            "amount": 153.94,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-12",
                            "amount": 1240.93,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-12",
                            "amount": 153.94,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-10",
                            "amount": 336.15,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-10",
                            "amount": 540.35,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-10",
                            "amount": 336.15,
                            "source": "Abc Hospital"
                        },
                        {
                            "date": "2021-03-10",
                            "amount": 540.35,
                            "source": "Abc Hospital"
                        }
                    ]
                },
                {
                    "name": "ANZ Investments",
                    "amount": "392.7.8",
                    "recurring": 0,
                    "non_recurring": 1570.8,
                    "total_deposits": 4,
                    "last_10_deposits": [
                        {
                            "date": "2021-02-13",
                            "amount": 392.7,
                            "source": "ANZ Investments"
                        },
                        {
                            "date": "2021-02-13",
                            "amount": 392.7,
                            "source": "ANZ Investments"
                        },
                        {
                            "date": "2020-12-25",
                            "amount": 392.7,
                            "source": "ANZ Investments"
                        },
                        {
                            "date": "2020-12-25",
                            "amount": 392.7,
                            "source": "ANZ Investments"
                        }
                    ]
                },
                {
                    "name": "Others",
                    "amount": 2808.58,
                    "recurring": 2808.58,
                    "non_recurring": 0,
                    "total_deposits": 6,
                    "last_10_deposits": [
                        {
                            "date": "2021-02-10",
                            "amount": 169.65,
                            "source": "Bank Deposit"
                        },
                        {
                            "date": "2021-02-10",
                            "amount": 169.65,
                            "source": "MoneyGram"
                        },
                        {
                            "date": "2021-01-10",
                            "amount": 515.22,
                            "source": "Tax Refund"
                        },
                        {
                            "date": "2021-01-10",
                            "amount": 515.22,
                            "source": "Tutoring"
                        },
                        {
                            "date": "2021-01-04",
                            "amount": 719.42,
                            "source": "Bank Deposit"
                        },
                        {
                            "date": "2021-01-04",
                            "amount": 719.42,
                            "source": "Bank Deposit"
                        }
                    ]
                }
            ],
            "accounts": [
                {
                    "bank": "chase",
                    "account_id": 10022206,
                    "account_name": "Joint Savings - 7159",
                    "account_type": "SAVINGS",
                    "average_balance": 80505.01,
                    "current_balance": 95507.4,
                    "available_balance": 95507.4
                },
                {
                    "bank": "chase",
                    "account_id": 10022205,
                    "account_name": "Joint Checking - 9060",
                    "account_type": "CHECKING",
                    "average_balance": 87265.66,
                    "current_balance": 102268.05,
                    "available_balance": 102268.05
                }
            ],
            "rent_payments": null
        },
        {
            "id": "13ac384a-9af7-4269-a3a7-268c251b0bf2",
            "report_url": "https://www.numaly.com/request/...",
            "identity_report_url": "https://www.numaly.com/request/...",
            "paystub_url": "https://www.numaly.com/request/...",
            "request_id": null,
            "request_date": "2022-03-02",
            "response_date": "2022-03-02",
            "from_date": "2021-03-08",
            "to_date": "2022-01-24",
            "days_retrieved": 322,
            "months_retrieved": 11,
            "requester_name": null,
            "first_name": "Dave",
            "last_name": "Sample",
            "currency": "USD",
            "status": "awaiting screening",
            "reference": "Youry Gagarin 8",
            "property_rent": null,
            "email": "dave.sample@numaly.com",
            "phone_number": null,
            "employer": "ABC Company",
            "total_income": "3657.73",
            "income_projection_12_months": "3990.25",
            "average_monthly_income": "332.52",
            "average_monthly_income_last_3": "807.33",
            "total_recurring_income": "0.00",
            "average_monthly_income_recurring": "0.00",
            "total_non_recurring_income": "3657.73",
            "average_monthly_income_non_recurring": "332.52",
            "total_deposits": 11,
            "total_recurring_deposits": 0,
            "total_non_recurring_deposits": 11,
            "income_rent_multiple": null,
            "expense_income_ratio": 1.0,
            "average_monthly_expenses": "332.94",
            "average_days_between_rent_payments": null,
            "applicant_note": "",
            "account_names": "",
            "sources": [
                {
                    "name": "IRS TREAS 310 TAXEIP3 PPD ID: 9111736069",
                    "amount": 1400,
                    "recurring": 0,
                    "non_recurring": 1400,
                    "total_deposits": 1,
                    "last_10_deposits": [
                        {
                            "date": "2021-03-17",
                            "amount": 1400,
                            "source": "IRS TREAS 310 TAXEIP3 PPD ID: 9111736069"
                        }
                    ]
                },
                {
                    "name": "Sample TrnWise 209955466 WEB ID: 453233521",
                    "amount": 689.08,
                    "recurring": 0,
                    "non_recurring": 689.08,
                    "total_deposits": 1,
                    "last_10_deposits": [
                        {
                            "date": "2021-06-01",
                            "amount": 689.08,
                            "source": "Sample TrnWise 209955466 WEB ID: 453233521"
                        }
                    ]
                },
                {
                    "name": "Others",
                    "amount": 1568.65,
                    "recurring": 0,
                    "non_recurring": 1568.65,
                    "total_deposits": 9,
                    "last_10_deposits": [
                        {
                            "date": "2022-01-24",
                            "amount": 2.42,
                            "source": "FEE REVERSAL"
                        },
                        {
                            "date": "2022-01-13",
                            "amount": 6.28,
                            "source": "Sample WISE 290375626 WEB ID: 1453233521"
                        },
                        {
                            "date": "2021-10-12",
                            "amount": 10,
                            "source": "Sample TrnWise 253952294 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-06-17",
                            "amount": 103.79,
                            "source": "Sample TrnWise 215015625 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-06-01",
                            "amount": 424.16,
                            "source": "Sample TrnWise 209952626 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-05-24",
                            "amount": 152.08,
                            "source": "Sample TrnWise 207423214 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-05-05",
                            "amount": 688.46,
                            "source": "Sample TrnWise 202042790 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-04-07",
                            "amount": 180.02,
                            "source": "Sample From mama 193648619 WEB ID: 453233521"
                        },
                        {
                            "date": "2021-03-17",
                            "amount": 1.44,
                            "source": "Govt. Stimulus Chase 30 Day Overdraft Assistance"
                        }
                    ]
                }
            ],
            "accounts": [
                {
                    "bank": "Chase",
                    "account_id": "369ypREqbrHEQd3jLVNoh50aYnNJpJF7RN6gL",
                    "account_name": "CHASE COLLEGE",
                    "account_type": "checking",
                    "average_balance": 243.47,
                    "current_balance": 0,
                    "available_balance": 0
                }
            ],
            "rent_payments": null
        },
...
}
</code></pre>

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.numaly.com/list-all-verification-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
